<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__bd__addr__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_bd_addr_t</compoundname>
    <includes local="no">cy_ble_stack.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__bd__addr__t_1a0ea60b22b86a87cdddcca6261968fa4c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_bd_addr_t::bdAddr[CY_BLE_BD_ADDR_SIZE]</definition>
        <argsstring>[CY_BLE_BD_ADDR_SIZE]</argsstring>
        <name>bdAddr</name>
        <briefdescription>
<para>Bluetooth device address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1380" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1380" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bd__addr__t_1a3500ac0761db661ba250fe122cebd6ca" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_bd_addr_t::type</definition>
        <argsstring />
        <name>type</name>
        <briefdescription>
<para>public = 0, Random = 1 </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1383" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1383" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Bluetooth Device Address type. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="1385" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1377" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1378" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__bd__addr__t_1a0ea60b22b86a87cdddcca6261968fa4c" virt="non-virtual"><scope>cy_stc_ble_bd_addr_t</scope><name>bdAddr</name></member>
      <member prot="public" refid="structcy__stc__ble__bd__addr__t_1a3500ac0761db661ba250fe122cebd6ca" virt="non-virtual"><scope>cy_stc_ble_bd_addr_t</scope><name>type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>